﻿		/// <summary>
		/// The default cache provider using HttpApplication.Cache.
		/// </summary>
		private class DefaultCacheProvider : IWisejCacheProvider
		{
			public object Get(string key)
			{
				return HttpRuntime.Cache.Get(key);
			}

			public void Add(string key, object value, TimeSpan slidingExpiration, CacheItemRemovedCallback itemRemovedCallback)
			{
				HttpRuntime.Cache.Add(
					key,
					value,
					null,
					Cache.NoAbsoluteExpiration,
					slidingExpiration,
					CacheItemPriority.NotRemovable,
					itemRemovedCallback);
			}

			public void Remove(string key)
			{
				HttpRuntime.Cache.Remove(key);
			}

			public void Update(string key, object value)
			{
				// no need to update.
			}
		}